List visible marketplace demos

View as Markdown
List marketplace demos visible to your account. In the paginated response, demos which are `featured` will appear before non-featured demos, and demos with a lower `order` value will appear before demos with a higher `order` value. The `ordering` query parameter can be used to specify a different order per request if desired. **Permissions:** Any authenticated user with an Air scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

creatorstringOptional

Filter by the e-mail of the Marketplace Demo creator.

demo_simulation_statestringOptional
Filter by the state of the associated demo simulation.
featuredbooleanOptional

Filter by whether the Marketplace Demo is featured. Featured demos are listed before non-featured demos in the default ordering.

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

publicly_publishedbooleanOptional

Filter by whether the Marketplace Demo is visible to the entire catalog (published AND its publish access record is public).

publishedbooleanOptional
publisherstringOptional

Filter by the name of the company or organization the Marketplace Demo is published under (e.g. NVIDIA). Matched case-insensitively.

searchstringOptional

Search by name, description, or markdown_documentation__markdown.

tagslist of stringsOptional

Look up all Marketplace Demos by one or more comma-delimited tag names. Tag names are matched case-insensitively. If any of the tags is present on the Marketplace Demo, the Marketplace Demo will be returned.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error